@import '@styles/variables';

.wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  z-index: 0;

  &::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    display: block;
    width: 100%;
    height: 1px;
    background-color: $color-step-line;
    z-index: -1;
  }
}

.icon {
  background-color: $bg-active;

  @include custom-min-width($md) {
    padding-inline: 12px;

    &:first-child {
      padding-left: 0;
    }

    &:last-child {
      padding-right: 0;
    }
  }
}
